<?php
	$total	 = $_POST[total];
	$angka = (int) $total;
	$huruf	 ='';
	$huruf1 ='';
	
	$angka1 = substr($angka,0,1);
	$angka2 = substr($angka,1,1);
	$angka3 = substr($angka,2,1);
	$angka4 = substr($angka,3,1);
	$angka5 = substr($angka,4,1);
	$angka6 = substr($angka,5,1);
		
	if($angka1==1)
		$huruf='Seratus ';
	else if($angka1==2)
		$huruf='Dua ratus ';
	else if($angka1==3)
		$huruf='Tiga ratus ';
	else if($angka1==4)
		$huruf='Empat ratus ';
	else if($angka1==5)
		$huruf='Lima ratus ';
	else if($angka1==6)
		$huruf='Enam ratus ';
	else if($angka1==7)
		$huruf='Tujuh ratus ';
	else if($angka1==8)
		$huruf='Delapan ratus ';
	else $huruf='Sembilan ratus ';
	$huruf1=$huruf1.$huruf;
			
	if($angka2<2){
		if($angka2==0){
			$huruf='';
		}else{		
			if($angka3==0)
				$huruf='sepuluh ';
			else if($angka3==1)
				$huruf='sebelas ';
			else if($angka3==2)
				$huruf='dua belas ';
			else if($angka3==3)
				$huruf='tiga belas ';
			else if($angka3==4)
				$huruf='empat belas ';
			else if($angka3==5)
				$huruf='lima belas ';
			else if($angka3==6)
				$huruf='enam belas ';
			else if($angka3==7)
				$huruf='tujuh belas ';
			else if($angka3==8)
				$huruf='delapan belas ';
			else $huruf='sembilan belas ';
		}
		$huruf1=$huruf1.$huruf.'ribu ';
		
	}else{
		if($angka2==2)
			$huruf='dua ';
		else if($angka2==3)
			$huruf='tiga ';
		else if($angka2==4)
			$huruf='empat ';
		else if($angka2==5)
			$huruf='lima ';
		else if($angka2==6)
			$huruf='enam ';
		else if($angka2==7)
			$huruf='tujuh ';
		else if($angka2==8)
			$huruf='delapan ';
		else $huruf='sembilan ';		
		$huruf1=$huruf1.$huruf.'puluh ';
		
		if($angka3==0)
			$huruf='';
		else if($angka3==1)
			$huruf='satu ';
		else if($angka3==2)
			$huruf='dua ';
		else if($angka3==3)
			$huruf='tiga ';
		else if($angka3==4)
			$huruf='empat ';
		else if($angka3==5)
			$huruf='lima ';
		else if($angka3==6)
			$huruf='enam ';
		else if($angka3==7)
			$huruf='tujuh ';
		else if($angka3==8)
			$huruf='delapan ';
		else $huruf='sembilan ';
		$huruf1=$huruf1.$huruf.'ribu ';
	}
		
	if($angka4==0)
		$huruf='';
	else	if($angka4==1)
		$huruf='seratus ';
	else if($angka4==2)
		$huruf='dua ratus ';
	else if($angka4==3)
		$huruf='tiga ratus ';
	else if($angka4==4)
		$huruf='empat ratus ';
	else if($angka4==5)
		$huruf='lima ratus ';
	else if($angka4==6)
		$huruf='enam ratus ';
	else if($angka4==7)
		$huruf='tujuh ratus ';
	else if($angka4==8)
		$huruf='delapan ratus ';		
	else $huruf='sembilan ratus ';	
	$huruf1=$huruf1.$huruf;
		
	if($angka5<2){
		if($angka5==0){
			$huruf='';
			$huruf1=$huruf1.$huruf;
		}else{	
			if($angka6==0)
				$huruf='sepuluh ';
			else if($angka6==1)
				$huruf='sebelas ';
			else if($angka6==2)
				$huruf='dua belas ';
			else if($angka6==3)
				$huruf='tiga belas ';
			else if($angka6==4)
				$huruf='empat belas ';
			else if($angka6==5)
				$huruf='lima belas ';
			else if($angka6==6)
				$huruf='enam belas ';
			else if($angka6==7)
				$huruf='tujuh belas ';
			else if($angka6==8)
				$huruf='delapan belas ';
			else $huruf='sembilan belas ';
			$huruf1=$huruf1.$huruf;
		}
		
	}else{
		if($angka5==2)
			$huruf='dua ';
		else if($angka5==3)
			$huruf='tiga ';
		else if($angka5==4)
			$huruf='empat ';
		else if($angka5==5)
			$huruf='lima ';		
		else if($angka5==6)
			$huruf='enam ';		
		else if($angka5==7)
			$huruf='tujuh ';		
		else if($angka5==8)
			$huruf='delapan ';		
		else	$huruf='sembilan ';
		$huruf1=$huruf1.$huruf.'puluh '; 
	}
	
	if(!($angka6==0)){
		if($angka6==1)
			$huruf='satu ';
		else if($angka6==2)
			$huruf='dua ';
		else if($angka6==3)
			$huruf='tiga ';
		else if($angka6==4)
			$huruf='empat ';
		else if($angka6==5)
			$huruf='lima ';
		else if($angka6==6)
			$huruf='enam ';
		else if($angka6==7)
			$huruf='tujuh ';
		else if($angka6==8)
			$huruf='delapan ';
		else $huruf='sembilan ';		
		$huruf1=$huruf1.$huruf;		
	}
	
	$huruf1=$huruf1.'rupiah';
	$data['terbilang']=$huruf1;	
	echo json_encode($data);
?>
